Skip to main content
`Ctrl`+`K`

# SNESObjectiveFn

A prototype of a `SNES` objective evaluation function that would be passed to `SNESSetObjective()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode SNESObjectiveFn(SNES snes, Vec u, PetscReal *o, PetscCtx ctx);

## Calling Sequence

- snes - `SNES` context

- u - input vector

- o - output value

- ctx - [optional] user-defined function context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetFunction()`, `SNESGetFunction()`, `SNESJacobianFn`, `SNESNGSFn`

## Level

beginner

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages